List FPP REST Users

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}/restUsers

Lists REST users of an FPP server

Request

Path Parameters
Query Parameters
  • Limit count of the items in the response
    Example:
    10
  • Marker indicating the next set (page) of items
    Example:
    b2Zmc2V0OjA
  • Comma separated list of fields along with an optional sort direction. The supported attribute of sorting is 'username'.Valid sort directions are 'asc' and 'desc'. If sort direction is not specified, 'asc' is used by default.
    Example:
    username:asc

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Ok. REST users retrived.
Body ()
Root Schema : RestUserCollection
Type: object
List of FPP REST users registered with FPP Server
Show Source
Match All
List of FPP REST users registered with FPP Server
List of FPP REST users registered with FPP Server
Show Source
Nested Schema : items
Type: array
Array of REST users
Show Source
Nested Schema : Pagination
Type: object
Collection of items with links
Show Source
Nested Schema : schema
Type: object
Target details
Show Source
Nested Schema : items
Type: object
Match All
Show Source
Nested Schema : CreateRestUserDetails
Type: object
Details of REST user
Show Source
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top